Bug 1126753 - [RFE]Map PM iLO3 and iLO4 to their native agents
Summary: [RFE]Map PM iLO3 and iLO4 to their native agents
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0
Assignee: Eli Mesika
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 08:00 UTC by Eli Mesika
Modified: 2017-02-01 14:44 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Doc Text is covered by BZ#827529
Clone Of:
Environment:
Last Closed: 2017-02-01 14:44:38 UTC
oVirt Team: Infra
mperina: ovirt-4.1?
pmatyas: testing_plan_complete+
rule-engine: planning_ack?
mperina: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33920 master ABANDONED [WIP]core: Map PM iLO3 and iLO4 to their native agents Never
oVirt gerrit 57739 master MERGED core: Map PM iLO3 and iLO4 to their native agents 2016-05-27 15:45:04 UTC

Description Eli Mesika 2014-08-05 08:00:11 UTC
Description of problem:
Map PM iLO3 and iLO4 to there native agents 

Version-Release number of selected component (if applicable):
Currently iLO3 & iLO4 are mapped internally to ipmilan so actually when a Host is defined with either iLO3  or iLO4 PM agents , /usr/sbin/fence_ipmilan scripts is called in the proxy Host selected fro this operation.

The fence-agents latest packages have now native implementations scripts fence_ilo3 and fence_ilo4 and according to Marek G we should remove the internal implicit mapping for those agents to impmilan and use the native fence_ilo3 and fence_ilo4 scripts  

How reproducible:


Steps to Reproduce:
1.Define a Host with ilo3 or ilo4 PM agent
2.Click the TEST button 
3.Examine VDSM log, you can see that fence_ipmilan script was invoked

Actual results:
fence_ipmilan script was invoked in case of iLO3 or iLO4 PM agent

Expected results:
The native scripts (fence_ilo3, fence_ilo4) should be nvoked in case of iLO3 or iLO4 PM agent

Additional info:

Comment 1 Petr Matyáš 2017-01-24 15:47:36 UTC
Verified on 4.1.0-9

Fencing ilo3/4 actually calls fence_ilo3/4 instead of fence_ipmilan


Note You need to log in before you can comment on or make changes to this bug.